Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001102Core InformKinds and type checkingpublic2013-04-06 19:162014-05-07 07:33
ReporterEmacsUser 
Assigned Tograham 
PrioritynormalSeveritycosmeticReproducibilityalways
StatusclosedResolutionfixed 
Platformx86OSMac OS XOS Version10.6
Product Version6G60 
Target VersionFixed in Version6L02 
Summary0001102: Problem message about missing default value for property has no source text pointer
DescriptionThe problem message for the attached source,

- - - -
Problem. I am unable to put any value into the property 'area', which needs to be a region, because the world does not contain a region.
- - - -

identifies the problematic property, but gives no source text link.
Minimal Source Text To Reproduce
There is a room.
A person has a region called the area.
TagsNo tags attached.
Effect(cosmetic) Error message is badly worded
Attached Files

- Relationships

-  Notes
(0002008)
zarf (developer)
2013-04-07 20:48

Confirmed.

(The source link would be to the Standard Rules, n.b. Specifically "Part SR1 - The Physical World Model, Section SR1/1 - Primitive Kinds in the extension Standard Rules by Graham Nelson". I don't see a way for this problem message to appear referring to a line in the author's code.)
(0002018)
EmacsUser (manager)
2013-04-08 09:05

Hmm. I was rather hoping for a link to ``A person has a region called the area.'' so that the author would know which line of code was expecting a region to exist.
(0002019)
zarf (developer)
2013-04-08 21:30

Well, that would be nice too. :) But this is how ni is currently labelling that error.

Locating an error in an inference system is always tricky. I don't know how ni is modelling this stuff, of course.
(0002349)
graham (administrator)
2014-01-25 02:37

There's now a source link to where the property is created.

- Issue History
Date Modified Username Field Change
2013-04-06 19:16 EmacsUser New Issue
2013-04-07 20:48 zarf Note Added: 0002008
2013-04-07 20:48 zarf Status new => confirmed
2013-04-08 09:05 EmacsUser Note Added: 0002018
2013-04-08 21:30 zarf Note Added: 0002019
2014-01-25 02:37 graham Note Added: 0002349
2014-01-25 02:37 graham Status confirmed => resolved
2014-01-25 02:37 graham Resolution open => fixed
2014-01-25 02:37 graham Assigned To => graham
2014-05-07 07:32 jmcgrew Fixed in Version => 6L02
2014-05-07 07:33 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker